> For the complete documentation index, see [llms.txt](https://docs.realmjoin.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.realmjoin.com/pt/automacao/runbooks/runbook-references/user/general/reprovision-windows365.md).

# Reaprovisionar Windows365

### Descrição

Aciona uma ação de reprovisionamento para um Windows 365 Cloud PC existente sem atribuir uma nova instância. Opcionalmente notifica o utilizador quando o reprovisionamento é iniciado.

### Localização

Utilizador → Geral → Reprovisionar Windows365

**Nome completo do runbook**

rjgit-user\_general\_reprovision-windows365

### Permissões

#### Permissões da aplicação

* **Tipo**: Microsoft Graph
  * GroupMember.ReadWrite.All
  * Group.ReadWrite.All
  * Directory.Read.All
  * CloudPC.ReadWrite.All
  * User.Read.All
  * Mail.Send

### Parâmetros

#### Nome de usuário

Nome principal do usuário do usuário de destino.

| Propriedade       | Valor  |
| ----------------- | ------ |
| Obrigatório       | true   |
| Valor predefinido |        |
| Tipo              | String |

#### licWin365GroupName

Nome de exibição do grupo de licenças Windows 365 usado para identificar o Cloud PC.

| Propriedade       | Valor                                             |
| ----------------- | ------------------------------------------------- |
| Obrigatório       | true                                              |
| Valor predefinido | lic - Windows 365 Enterprise - 2 vCPU 4 GB 128 GB |
| Tipo              | String                                            |

#### sendMailWhenReprovisioning

"Não enviar um e-mail." (valor final: $false) ou "Enviar um e-mail." (valor final: $true) podem ser selecionados como ação a executar. Se definido como true, será enviada uma notificação por e-mail ao utilizador quando o reprovisionamento do Cloud PC tiver começado.

| Propriedade       | Valor    |
| ----------------- | -------- |
| Obrigatório       | falso    |
| Valor predefinido | Falso    |
| Tipo              | Booleano |

#### fromMailAddress

Caixa de correio usada para enviar o e-mail de notificação.

| Propriedade       | Valor                 |
| ----------------- | --------------------- |
| Obrigatório       | falso                 |
| Valor predefinido | <reports@contoso.com> |
| Tipo              | String                |

#### customizeMail

Se definido como true, usa um corpo de e-mail personalizado.

| Propriedade       | Valor    |
| ----------------- | -------- |
| Obrigatório       | falso    |
| Valor predefinido | Falso    |
| Tipo              | Booleano |

#### customMailMessage

Corpo da mensagem personalizada usado para o e-mail de notificação.

| Propriedade       | Valor                                                              |
| ----------------- | ------------------------------------------------------------------ |
| Obrigatório       | falso                                                              |
| Valor predefinido | Insira a Mensagem Personalizada aqui. (Limitado a 3000 caracteres) |
| Tipo              | String                                                             |

[Voltar à visão geral da referência do runbook](/pt/automacao/runbooks/runbook-references.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.realmjoin.com/pt/automacao/runbooks/runbook-references/user/general/reprovision-windows365.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
